org.apache.hc.core5.http.impl.nio

## Class DefaultHttpResponseWriterFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.nio.DefaultHttpResponseWriterFactory

- All Implemented Interfaces:
    NHttpMessageWriterFactory<HttpResponse>

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultHttpResponseWriterFactory
      extends Object
      implements NHttpMessageWriterFactory<HttpResponse>

  Default factory for response message writers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpResponseWriterFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpResponseWriterFactory()`
    `DefaultHttpResponseWriterFactory(Http1Config http1Config)`
    `DefaultHttpResponseWriterFactory(Http1Config http1Config, LineFormatter lineFormatter)`
    `DefaultHttpResponseWriterFactory(LineFormatter lineFormatter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NHttpMessageWriter<HttpResponse>` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpResponseWriterFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpResponseWriterFactory

          public DefaultHttpResponseWriterFactory(Http1Config http1Config,
                                                  LineFormatter lineFormatter)

      Since:
        5.3

    - #### DefaultHttpResponseWriterFactory

          public DefaultHttpResponseWriterFactory(Http1Config http1Config)

      Since:
        5.3

    - #### DefaultHttpResponseWriterFactory

          public DefaultHttpResponseWriterFactory(LineFormatter lineFormatter)

    - #### DefaultHttpResponseWriterFactory

          public DefaultHttpResponseWriterFactory()

  - ### Method Detail

    - #### create

          public NHttpMessageWriter<HttpResponse> create()

      Specified by:
        `create` in interface `NHttpMessageWriterFactory<HttpResponse>`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.